-- #102
CREATE TABLE lineitem (
     lineitemid           integer  not null
,    lineitemcontainerid  integer  not null
,    taxclassid           integer  null
,    name                 varchar(255)  null
,    lineitemprice        decimal(19,4)  null
,    originallineitemprice decimal(19,4)  null
,    taxrate              double  null
,    baseprice            decimal(19,4)  null
,    quantity             decimal(19,4)  null
,    discount             decimal(19,4)  null
,    sku                  varchar(255)  null
,    taxamount            decimal(19,4)  null
,    ischanged            bool  not null
,    isshippingrequired   bool  not null
,    taxclassdigitalid    integer  null

,   constraint pk_lineitem                      primary key (lineitemid)
,   constraint fk_lineitem_lineitemid           foreign key (lineitemid)
        references object                           (objectid)
,   constraint fk_lineitem_lineitemcontainerid  foreign key (lineitemcontainerid)
        references lineitemcontainer                (lineitemcontainerid)
,   constraint fk_lineitem_taxclassid           foreign key (taxclassid)
        references taxclass                         (taxclassid)
,   constraint fk_lineitem_taxclassdigitalid    foreign key (taxclassdigitalid)
        references taxclassdigital                  (taxclassdigitalid)
)
GO
CREATE INDEX i_lineitem_container ON lineitem (lineitemcontainerid)
GO

CREATE INDEX i_lineitem_taxclassid ON lineitem (taxclassid)
GO

CREATE INDEX i_lineitem_taxclassdigitalid ON lineitem (taxclassdigitalid)
GO

